## CUSTOM STUFF
INDEX_POLICY_SINGLE_CONTENT=FORCE
NETWORK_CACHE_FLUSH_DELAY=10
#LISTENER POOL
dotListenerSubmitterdotcms.concurrent.poolsize=100
dotListenerSubmitterdotcms.concurrent.maxpoolsize=250
dotListenerSubmitterdotcms.concurrent.queuecapacity=500


##	EMAIL INFORMATION
EMAIL_SYSTEM_ADDRESS = website@dotcms.com
EMAIL_SENDING_THREADS = 10

##	LANGUAGE AND CODING INFO
CHARSET = text/html;charset=UTF-8
DEFAULT_LANGUAGE_COUNTRY = United States
DEFAULT_LANGUAGE = en_US
DEFAULT_LANGUAGE_CODE = en
DEFAULT_LANGUAGE_STR = English
DEFAULT_LANGUAGE_COUNTRY_CODE = US

##	if this variable is set true and the contentlet you are looking is not in the language you are on,
##	this will show the contentlet in the default language (Fallback to the default language). If is set to false
##	this additional search is avoided
DEFAULT_CONTENT_TO_DEFAULT_LANGUAGE=false

## it is similar to DEFAULT_CONTENT_TO_DEFAULT_LANGUAGE but only applies to Widgets
DEFAULT_WIDGET_TO_DEFAULT_LANGUAGE=true

## it is similar to DEFAULT_CONTENT_TO_DEFAULT_LANGUAGE but only applies to Pages
DEFAULT_PAGE_TO_DEFAULT_LANGUAGE=true

## it is similar to DEFAULT_CONTENT_TO_DEFAULT_LANGUAGE but only applies to Files
DEFAULT_FILE_TO_DEFAULT_LANGUAGE = true

## it is similar to DEFAULT_CONTENT_TO_DEFAULT_LANGUAGE but only applies to Persona
DEFAULT_PERSONA_TO_DEFAULT_LANGUAGE = true

PER_PAGE = 40

##	in minutes
LANGUAGES_REFRESH_INTERVAL=5

##	Spell Checker
MASTER_DICTS_DIR=/WEB-INF/dicts/
DEFAULT_DIC=english
INIT_DICTS_AT_STARTUP=true

##	PATHS
CMS_STRUTS_PATH = /dotCMS/
PATH_TO_REDIRECT = /redirectURL
PATH_TO_IMAGES = /images

##	To set the report path you can specific a relative path normally like /reports The path is relative to the asset path.
##	If you set the ASSETS_REAL_PATH variable usually because you have the assets on a shared windows path make the REPORT_PATH = a directory name
##	For example REPORT_PATH=myReports  this will put a directory under your REAL_ASSETS_PATH with the reports in it.
REPORT_PATH=/reports
ASSET_PATH = /assets

##	This variable should be used only if the assets and reports are located in a
##	shared folder in unix/linux enviroments we encourage you to use symbolic links
##	If this variable is commented the system will work as usual using
##	the ASSET_PATH variable as the assets directory inside liferay web root
ASSET_REAL_PATH = /tomcat8/webapps/ROOT/assets

##	This variable should be used if the dynamic content is to be placed outside of the web application.  By the default, the location
##	is in dotCMS/dotsecure.  If running as war inside an application server, it is important to move this data to a location
##	outside of the web application, to prevent data such as the cache and the index from being deleted if the war is redeployed.
DYNAMIC_CONTENT_PATH=/tomcat8/webapps/ROOT/dotsecure

##	REDIRECT_TO_LOGIN = /dotCMS/login   <---- add a redirect to the /portal/401.jsp instead.
EMAIL_BACKUPS = /email_backups
DEFAULT_REFERER = /index.jsp

VERSION_FILE_PREFIX = /dotVersion
SAVED_UPLOAD_FILES_PATH = /uploaded_files


##	This controls when content can be added to pages, if set true then the user will only
##	required add children permissions to add content to a page if set to false then the
##	adding to a page can be controlled at container level and the user will required add
##	children permission over the page but also view permissions over the container
SIMPLE_PAGE_CONTENT_PERMISSIONING=true

##	 CMS ROLES
##	 to create these automatically at
##	 startup, add them to the portal-ext.properties
HIDE_CMS_ROLES = false
CMS_ADMIN_MIDDLE_NAME =
CMS_ADMIN_EMAIL = admin@dotcms.com
CMS_ADMIN_FIRST_NAME = Administrator ##Couldn\u00B4t be empty
CMS_ADMIN_NICK_NAME = admin
CMS_ADMIN_LAST_NAME = Administrator ##Couldn\u00B4t be empty
CMS_ADMIN_PASSWORD = admin123
CMS_ANONYMOUS_ROLE = CMS Anonymous
ADMINISTRATOR_ROLE = Administrator
CMS_ADMINISTRATOR_ROLE = CMS Administrator
CMS_OWNER_ROLE = CMS Owner
MAILINGLISTS_ADMIN_ROLE = Mailing Lists Administrator
MAILINGLISTS_EDITOR_ROLE=Mailing List Editor
CAMPAIGN_MANAGER_ADMIN=Campaign Manager Admin
CAMPAIGN_MANAGER_VIEWER=Campaign Manager Viewer
CAMPAIGN_MANAGER_EDITOR=Campaign Manager Editor
USER_MANAGER_ADMIN_ROLE=User Manager Administrator
USER_MANAGER_EDIT_ROLE=User Manager Editor
REPORT_ADMINISTRATOR=Report Administrator
REPORT_VIEWER=Report Viewer
REPORT_EDITOR=Report Editor

##	This will write out the generated velocity files under /dotsecure/velocity
SHOW_VELOCITYFILES=false

##	This will log the name of a template before parsing it
LOG_VELOCITY_TEMPLATES=false

VELOCITY_PAGE_EXTENSION = html
VELOCITY_ROOT = /WEB-INF/velocity
VELOCITY_HTMLPAGE_EXTENSION = dotpage
VELOCITY_HOST_EXTENSION= host
VELOCITY_INCLUDE_EXTENSION = vtl
VELOCITY_TEMPLATE_EXTENSION = template
VELOCITY_CONTENT_EXTENSION = content
VELOCITY_CONTENT_MAP_EXTENSION = contentMap
VELOCITY_STRUCTURE_EXTENSION = structure
VELOCITY_CONTAINER_EXTENSION = container
VELOCITY_FIELD_EXTENSION = field
VELOCITY_BANNER_EXTENSION = banner
HEADER_MENU_VELOCITY_FILE = header_navigation.vtl
MENU_VELOCITY_FILE = left_navigation.vtl

##	OTHER
number_levels = 2

CONTENTLET_OTHER_TEXT = false
CATEGORY_TEMPLATE_NAME = Category Template
METADATA_DEFAULT =

##	Basic Task executors params delays in seconds
EXEC_NUM_OF_THREAD=10
EXEC_INIT_DELAY=60

##	Content review periodic task
EXEC_CONTENT_REVIEW_DELAY=300

##	every 5 minutes
CONTENT_REVIEW_THREAD_CRON_EXPRESSION=0 0/5 * * * ?
ENABLE_CONTENT_REVIEW_THREAD=false

##	Content Reindexation periodic Task (in seconds)
EXEC_CONTENT_REINDEXATION_DELAY=86400
EXEC_CONTENT_REINDEXATION_INIT_DELAY=86400
ENABLE_CONTENT_REINDEXATION_THREAD=false

##	DeliverCampaignThread
ENABLE_DELIVER_CAMPAIGN_THREAD=false
EXEC_DELIVER_CAMPAIGN_THREAD_DELAY=300
DELIVER_CAMPAIGN_THREAD_INIT_DELAY=30
DELIVER_CAMPAIGN_THREAD_REVIEW_DELAY=30

##	every 5 minutes
DELIVER_CAMPAIGN_THREAD_CRON_EXPRESSION=0 0/5 * * * ?

##	Pop 3 config for email bounces retrieval
ENABLE_POP_BOUNCES_THREAD=false
EXEC_POP_BOUNCES_INIT_DELAY=0

##	every minute
POP_BOUNCES_THREAD_CRON_EXPRESSION=0 0/30 * * * ?
POP3_SERVER = pop.xxx

##	110 default pop3 port - 995 default port for ssl connections
POP3_PORT = 110
POP3_SSL_ENABLED = false

##	pop accounts to use multiple accounts can be specified
##	numerically using a number suffix starting from 1
POP3_USER_1 = xxx@xxx
POP3_PASSWORD_1 = xxx
#POP3_USER_2 = xxx@xxx
#POP3_PASSWORD_2 = xxx

##	UpdateRatingThread
ENABLE_UPDATE_RATINGS_THREAD=false

##	every 30 minutes
UPDATE_RATINGS_THREAD_CRON_EXPRESSION=0 0/10 2/14 * * ?
UPDATE_RATINGS_THREAD_INIT_DELAY=180
RATING_MAX_VALUE=5

##	UsersToDeleteThread
ENABLE_USERS_TO_DELETE_THREAD=false
USERS_TO_DELETE_THREAD_INIT_DELAY=60

##	CalendarReminderThread
CALENDAR_REMINDER_THREAD=false
CALENDAR_REMINDER_THREAD_INIT_DELAY=0
CALENDAR_REMINDER_THREAD_CRON_EXPRESSION=0 0/2 * * * ?
#CALENDAR_REMINDER_THREAD_TEMPLATE=/calendar/emailTemplate.html
#CALENDAR_REMINDER_THREAD_EMAIL_SUBJECT=dotCMS Event Reminder
#CALENDAR_REMINDER_THREAD_FROM_EMAIL=support@dotcms.com
#CALENDAR_REMINDER_THREAD_FROM_NAME=dotCMS Reminder System

##	every day
USERS_TO_DELETE_THREAD_CRON_EXPRESSION=1 1 1 * * ?

##	To turn off the job comment out the cron expression.  If set the job will try to start
TRASH_CLEANUP_JOB_CRON_EXPRESSION=0 0 0/1 * * ?
WEBDAV_CLEANUP_JOB_CRON_EXPRESSION=0 0 12 * * ?
WEBDAV_CLEANUP_FILE_LIFE_HOURS=12

##	http://jira.dotmarketing.net/browse/DOTCMS-1073
BINARY_CLEANUP_JOB_CRON_EXPRESSION=0 0 12 * * ?
BINARY_CLEANUP_FILE_LIFE_HOURS=12
#DIST_REINDEX_JOURNAL_CLEANUP_CRON_EXPRESSION=0 0 0,12 * * ?
#DIST_REINDEX_JOURNAL_CLEANUP_DAYS=1
#DIST_REINDEX_JOURNAL_CLEANUP_2_CRON_EXPRESSION= 0 0/30 * * * ?
#DIST_REINDEX_JOURNAL_CLEANUP_MINUTES=30

##	Content
CONTENT_CHANGE_NOTIFICATIONS=false

## 	WYSIWYG_CSS (defaults to /html/css/tiny_mce.css)
## 	Full path to the WYSIWYG css
#WYSIWYG_CSS=/global/css/base.css
##
##   or
##
#WYSIWYG_CSS=//myhost.dotcms.com/global/css/base.css

##	UploadFileMaxSize
UPLOAD_FILE_MAX_SIZE=10737418240

##	LANGUAGE AND CODING INFO
DEFAULT_COUNTRY_CODE = United States of America

##	USERMANAGER ROW PER PAGE
USERMANAGER_PER_PAGE=50

##	max number of variable for user additional information
MAX_NUMBER_VARIABLES_TO_SHOW=3
ADDITIONAL_INFO_MIDDLE_NAME_PROPNAME=Middle_Name
ADDITIONAL_INFO_DATE_OF_BIRTH_PROPNAME=Date_of_Birth
ADDITIONAL_INFO_CELL_PROPNAME=Cell
ADDITIONAL_INFO_CATEGORIES_PROPNAME=Categories
ADDITIONAL_INFO_MIDDLE_NAME_VISIBILITY=false
ADDITIONAL_INFO_DATE_OF_BIRTH_VISIBILITY=false
ADDITIONAL_INFO_CELL_VISIBILITY=false
ADDITIONAL_INFO_CATEGORIES_VISIBILITY=true
ADDITIONAL_INFO_DEFAULT_VISIBILITY=false

##
##	commentEmail
##
commentSubject=There is a new comment for: ${commentQuestion}

##	Scheduler
#CONFIGURED_SCHEDULERS_FILE_NAME=WEB-INF/DotScheduler.xml

##	JBoss Rules
X_ITEMS_MINIMIZED_VIEW=10
CONFIGURED_JBOSS_RULES_FILE_NAME=/WEB-INF/JBossRules.xml

##	Turns clickstream tracking on/off
ENABLE_CLICKSTREAM_TRACKING=true

##	CLICKSTREAM_SAVE_INTERVAL (This variable controls the number of second the cms will wait
##	to save a clickstream to the database,
##	if not set the clickstream will get saved when the session dies)
CLICKSTREAM_SAVE_INTERVAL = 5

##	Turns delete clickstream tracking on/off
ENABLE_DELETE_OLDER_CLICKSTREAMS=true


## If a clickstream has fewer request than this, they will not be persisted to db
MIN_CLICKSTREAM_REQUESTS_TO_SAVE=2


## takes a property that specifies how many days of clickstream data to keep.
DELETE_CLICKSTREAMS_OLDER_THAN=3

## cron expression to trigger Once a day (at 3:00 am)
DELETE_OLDER_CLICKSTREAMS_CRON_EXPRESSION=0 0 3 * * ?


##	dotcms User Alerts
PENDING_ALERTS_EXPIRATION_DAYS=10
SEEN_ALERTS_EXPIRATION_DAYS=*
MAX_ITEMS_MINIMIZED_VIEW=3

##	Company Profile
USE_CHALLENGE_QUESTION=false

##	This property is exclusive with the USE_CHALLENGE_QUESTION if the USE_CHALLENGE_QUESTION is true this
##	property will be ignored
USE_RESET_PASSWORD_EMAIL=true
FORGOT_PASSWORD_EMAIL_TEMPLATE=static/user_account/forgot_password_email.html
CHALLENGE_QUESTION_EMAIL_TEMPLATE=static/user_account/forgot_password_email.html
ACTIVATION_LINK_EMAIL_TEMPLATE=static/user_account/activation_link_email.html
RESET_PASSWORD_LINK_EMAIL_TEMPLATE=static/user_account/reset_password_link_email.html
ALLOW_INACTIVE_ACCOUNTS_TO_LOGIN=false
CONTENT_CHANGE_NOTIFICATION_EMAIL_TEMPLATE=static/contents/content_change_notification_email_template.html
DISPLAY_NOT_EXISTING_USER_AT_RECOVER_PASSWORD=false

##	WebForms Mail to Excel
WEBFORMS_MAIL_EXCEL_FROM_ADDRESS=
WEBFORMS_MAIL_EXCEL_FROM_NAME=
WEBFORMS_MAIL_EXCEL_FROM_SUBJECT=
WEBFORMS_MAIL_EXCEL_GROUP_NAME=
WEBFORMS_MAIL_EXCEL_WEBFORM_TYPE=

##	path to dojo version
path.to.dojo=/html/js/dojo/custom-build

##	If the URLMap pattern matches, but no matching content is found,
##	you can use FALLTHROUGH to try to find a matching page/folder in the CMS
URLMAP_FALLTHROUGH=true

##	Reserved Folder Names
USER_PICTURES_FOLDER=/users/pictures/

##	UNSUSCRIBERS LIST
MAILING_LIST_UNSUBSCRIBERS =Do Not Send List

##	Use this option when you have created a dotcms mailing list to be use on frontend create account action subscribe mailing list
##	if no value is set by default is use the subscribeDotCMSMailingList
#CREATE_ACCOUNT_MAILING_LIST=Test 01

##	User session management
KEEP_SESSION_ALIVE = true

##	Submit Events
SUBMIT_EVENT_EMAIL_SUBJECT=NEWS/CALENDAR EVENT SUBMITTED
SUBMIT_EVENT_EMAIL_TEMPLATE=static/events/event_submit_info_email.html
SUBMIT_EVENT_COPY_EMAIL=test@dotcms.com

##	LDAP FrontEnd Configuration
LDAP_FRONTEND_AUTH_IMPLEMENTATION=com.dotcms.enterprise.LDAPProxy

##	Frontend Cas filter
FRONTEND_CAS_FILTER_ON=false

##	GOOGLE Maps KEY
GOOGLE_MAPS_KEY=

##	Path used within the cms tree to upload files when
##	submitting new events files
CALENDAR_FILES_PATH=/calendar/files/

##	startup options
##	will only happen on first time start of dotcms.  Set to true to have the starter site load.
STARTERSITE_BUILD=true

##	To use a different starter the the starter.zip file set STARTER_DATA_LOAD to a relative path from the web root
##	which is the dotCMS directory.  If you place you zip in the static_files directory of the plugin
##	it would deploy to /html/plugin.name/my_starter.zip
STARTER_DATA_LOAD=src/integration-test/resources/starter.zip

##	SendVCalendar Event Info
PRODID=-//Microsoft Corporation//Outlook 9.0 MIMEDIR//EN
METHOD=PUBLISH
SCALE=GREGORIAN
VERSION=2.0

##	Fix Assets and incosistencies
RUN_FIX_INCONSISTENCIES_ON_STARTUP=false

##
##	http://jira.dotmarketing.net/browse/DOTCMS-2273
##	In milliseconds.  A 0 value will disable
CONTENT_AUTOSAVE_INTERVAL=0

##	Binary field exporters
##	can be used/extended to transform binary field content
CONTENT_EXPORTERS_DOTCMS_CORE=com.dotmarketing.portlets.contentlet.business.exporter.ImageResizeFieldExporter,com.dotmarketing.portlets.contentlet.business.exporter.RawFieldExporter,com.dotmarketing.portlets.contentlet.business.exporter.ImageFilterExporter,com.dotmarketing.portlets.contentlet.business.exporter.ImageThumbnailFieldExporter

##	RESIZE - THUMBNAILS - Default values
DEFAULT_HEIGHT=100
DEFAULT_WIDTH=100
DEFAULT_BG_R_COLOR=255
DEFAULT_BG_G_COLOR=255
DEFAULT_BG_B_COLOR=255
DEFAULT_IMAGE_TYPE=java.awt.image.BufferedImage.TYPE_INT_RGB
DEFAULT_KEY_INTERPOLATION=java.awt.RenderingHints.VALUE_INTERPOLATION_BICUBIC
DEFAULT_KEY_RENDERING=java.awt.RenderingHints.VALUE_RENDER_QUALITY
DEFAULT_KEY_ANTIALIASING=java.awt.RenderingHints.VALUE_ANTIALIAS_ON
DEFAULT_KEY_COLOR_RENDERING=java.awt.RenderingHints.VALUE_COLOR_RENDER_QUALITY
DEFAULT_KEY_ALPHA_INTERPOLATION=java.awt.RenderingHints.VALUE_ALPHA_INTERPOLATION_QUALITY

##	This option allows to point the TinyMCE config to a different jsp.
##	This is mostly useful for  plugins that customize the TinyMCE
#TINY_MCE_CONFIG_LOCATION=html/plugins/myplugin/tiny_mce_config.jsp;

##	SCRIPTING CONGIG
ENABLE_SCRIPTING=false

##	STATISTICS SEARCH ENGINES QUERY
SEARCH_ENGINES=www.google.com,http://www.google.com/%,http://www.google.com.%/%,http://%.bing.com/%,http://%.search.yahoo.com/%,http://search.yahoo.com/%,http://%.yhs.search.yahoo.com/%,http://%.ask.com/%,http://www.altavista.com/%

##	SITE SEARCH CONFIG
SEARCH_AGENT_NAME   = dotcms
SEARCH_AGENT_DESC   = dotcms site search
SEARCH_AGENT_URL    = www.dotcms.com
SEARCH_AGENT_EMAIL  = test@dotcms.com

##	determines the number of threads that will fetch in parallel.
NUMBER_OF_THREADS   = 10

##	indicates the link depth from the root page thaIt should be crawled.
LINK_DEPTH          = 20

##	determines the maximum number of pages that will be retrieved at each level up to the depth.(Leave 0 for max)
MAX_PAGES_PER_LEVEL = 0

##	LOGGING/PROFILING CONTROLS
VELOCITY_PROFILING=false
LUCENE_PROFILING=false

##	Turns GZIP  on/off
ENABLE_GZIP=false


##	1.9.2 Additions --------------------------------------------------------------------------

##	DASHBOARD
DASHBOARD_POPULATE_TABLES_CRON_EXPRESSION=0 0 1 * * ?
TIME_PICKER_DOJO_OPTIONS={clickableIncrement:'T00:15:00', visibleIncrement:'T00:15:00', visibleRange:'T01:00:00'}

##	Forms for submitting from front end. /dotCMS/sendEmail and /dotCMS/submitWebForm
FORCE_CAPTCHA=true

##	1.9.3.1 Additions --------------------------------------------------------------------------
##	Set the folder and pattern for logfiles to display
## Can be set to a path relative to the WAR or an Absolute Path
## NOTE: Changing this property will not alter the place where the log folder is placed.
TAIL_LOG_LOG_FOLDER=./dotsecure/logs/

##	REGEX log has to match to be showable.
##	set to !.* to prevent any file from showing
TAIL_LOG_FILE_REGEX=.*\.log$|.*\.out$

##	http://jira.dotmarketing.net/browse/DOTCMS-6298
##	CREATE CONTENT FROM EMAIL JOB
##	false by default, set to true to run the job
ENABLE_CREATE_CONTENT_FROM_EMAIL=false
## every 10 minutes
CONTENT_FROM_EMAIL_CRON_EXPRESSION=0 0/10 * * * ?
CONTENT_FROM_EMAIL_INIT_DELAY=180

##	2.0 Additions --------------------------------------------------------------------------

##	Tika-Parser conf
CONTENT_PARSERS_MIMETYPES=application/pdf
CONTENT_PARSERS=com.dotcms.repackage.org.apache.tika.parser.pdf.PDFParser

## when processing large text files as PDF the uncompressed text is read
## is written to asset directory to avoid heap space errors.
## this option allows to compress that text on disk using "gzip", "bzip2" or "none".
## if this property is missing gzip is used.
## if an invalid value is provided then compression is disabled
#CONTENT_METADATA_COMPRESSOR=gzip

## metadata up to this size will be indexed (in MB)
META_DATA_MAX_SIZE=5


## this is a comma separated list that will limit the file asset metadata values
## that get placed in the content index
INDEX_METADATA_FIELDS=width,height,contentType,author,keywords,fileSize,content,length,title

## This makes email configurable on coments section.

EMAIL_TO=test@example.com

## REST API

FORCE_SSL_ON_RESP_API=false
REST_API_FORCE_FRONT_END_SESSION_AUTH=false

## CONTENT REST API
CONTENT_APIS_ALLOW_ANONYMOUS=write



##TAGS
#When true accrues the tags found in the associated Contentlet to the URL Map
ACCRUE_TAGS_IN_URLMAPS=true
#When true accrues the tags found in the visited HTMLPage Contentlet
ACCRUE_TAGS_IN_PAGES=true
#When true accrues the tags found on each of the contentlets living inside the visited HTMLPage Contentlet
ACCRUE_TAGS_IN_CONTENTS_ON_PAGE=false
##TAGS

PULLPERSONALIZED_PERSONA_WEIGHT=100



## Comma separated list of
## custom workflow actionlets, e.g.
#WORKFLOW_ACTIONLET_CLASSES=com.dotcms.publisher.business.PublisherAddActionlet

## ESURLEndPoint
ES_URL_ENDPOINT=http://localhost:9200/

##	This will set the $URLMapContent variable to the slower old skool Velocity
##  ContentMap object.  If false, the $URLMapContent will be a ContentMap java object.
#ENABLE_LEGACY_URLMAP_CONTENT=true

#Setting for the Cache-Control on files served to the browser. Controls the header setting
asset.cache.control.max.days=30

##################### dotCMS Cache Configuration #####################
cache.default.chain			    =com.dotmarketing.business.cache.provider.caffine.CaffineCache
cache.contentletcache.chain     =com.dotmarketing.business.cache.provider.caffine.CaffineCache,com.dotmarketing.business.cache.provider.h22.H22Cache
cache.velocitycache.chain       =com.dotmarketing.business.cache.provider.caffine.CaffineCache,com.dotmarketing.business.cache.provider.h22.H22Cache
cache.vanityurlcache.chain      =com.dotmarketing.business.cache.provider.timedcache.TimedCacheProvider
cache.cachedvanityurlgroup.chain=com.dotmarketing.business.cache.provider.timedcache.TimedCacheProvider
#cache.default.chain=com.dotmarketing.business.cache.provider.hazelcast.HazelcastCacheProviderEmbedded
#cache.default.chain=com.dotmarketing.business.cache.provider.hazelcast.HazelcastCacheProviderClient

CACHE_INVALIDATION_TRANSPORT_CLASS=com.dotcms.cache.transport.HazelcastCacheTransportEmbedded


## Default Caching Settings
cache.default.size=1000

## Region Specific Guava cache setting Settings
cache.concurrencylevel=32
cache.adminconfigpool.size=100
cache.companypool.size=10
cache.contentletcache.size=5000
cache.csscache.size=2500
cache.fileassetmetadatacache.size=200
cache.identifiercache.size=50000
cache.indiciescache.size=8
cache.logmappercache.size=10
cache.navcache.size=1000
cache.parentpermissionablecache.size=10000
cache.permissioncache.size=50000
cache.portletpool.size=100
cache.publishingendpointcache.size=100
cache.pushedassetscache.size=5000
cache.structurecache.size=500
cache.templatecache.size=500
cache.translatedquerycache.size=5000
cache.versioncache.size=50000
cache.versioninfocache.size=50000
cache.workflowactioncache.size=10000
cache.workflowtaskcache.size=10000
cache.shorty.size=25000
cache.identifier404cache.size=5000
cache.velocitycache.size=1000
cache.vanityurlcache.seconds=60
cache.vanityurlcache.size=1000
cache.cachedvanityurlgroup.seconds=60
cache.cachedvanityurlgroup.size=1000


#Available cache regions
#cache.actionscache.size=1000
#cache.blockdirectivecache.size=1000
#cache.blockdirectivehtmlpagecache.size=1000
#cache.categorybykeycache.size=1000
#cache.categorycache.size=1000
#cache.categorychildrencache.size=1000
#cache.categoryparentscache.size=1000
#cache.conditionscache.size=1000
#cache.conditionsgroupconditionscache.size=1000
#cache.conditionsgroupscache.size=1000
#cache.containercache.size=1000
#cache.containerstructurecache.size=1000
#cache.dotcmslayoutcache.size=1000
#cache.dotcmsrolecache.size=1000
#cache.dotcmsrolekeycache.size=1000
#cache.dotcmsrootrolescache.size=1000
#cache.dotcmsuserrolecache.size=1000
#cache.foldercache.size=1000
#cache.hostaliascache.size=1000
#cache.hostcache.size=1000
#cache.hostrulescache.size=1000
#cache.hostvariablescache.size=1000
#cache.htmlpagecache.size=1000
#cache.identifier404cache.size=1000
#cache.languagecacheimpl.size=1000
#cache.newnotificationcache.size=1000
#cache.plugincache.size=1000
#cache.propertycache.size=1000
#cache.relationshipcachebyinode.size=1000
#cache.relationshipcachebyname.size=1000
#cache.ruleactionscache.size=1000
#cache.ruleconditiongroupscache.size=1000
#cache.ruleconditionletsitevisitscache.size=1000
#cache.rulescache.size=1000
#cache.structuresbytypecache.size=1000
#cache.tagsbyinodecache.size=1000
#cache.userdotcmscache.size=1000
#cache.useremaildotcmscache.size=1000
#cache.userproxycache.size=1000
#cache.velocitycache.size=1000
#cache.workflowcache.size=1000
#cache.workflowstepcache.size=1000


##	Disk cache settings (local java db)
##  defaults if not set CACHE_DB_MAX_CONN=600, CACHE_DB_MAX_IDLE=100, CACHE_DB_MIN_IDLE=50
#CACHE_DB_MAX_CONN=600
#CACHE_DB_MAX_IDLE=100
#CACHE_DB_MIN_IDLE=50

##################### dotCMS Cache Configuration #####################

## This is a comma separated list of plugins css files to include the css code for backend plugins portlets
#BACKEND_PLUGINS_CSS_PATHS=/html/plugins/myplugin/css/myplugin.css

##	QUARTZ SETTINGS
##	This is used if you need to override the Quartz driver. We have seen cases where WebLogic needs to do this with Oracle. You can safely leave commented if you are not having issues.
#QUARTZ_DRIVER_CLASS=org.quartz.impl.jdbcjobstore.oracle.weblogic.WebLogicOracleDelegate

## FELIX CONFIGURATION

#felix.gosh.args=--noi
felix.felix.auto.deploy.action=install,start
felix.felix.fileinstall.start.level=1
felix.felix.fileinstall.log.level=3
felix.org.osgi.framework.startlevel.beginning=2
felix.org.osgi.framework.storage.clean=onFirstInit
felix.felix.log.level=4

#
# Bundle config properties.
#
#felix.org.apache.felix.http.jettyEnabled=true
#felix.org.osgi.service.http.port=8080
#felix.osgi.shell.telnet=on

## ESCALATION CONFIGURATION
ESCALATION_ENABLE=true
ESCALATION_CHECK_INTERVAL_CRON=0/30 * * * * ?

##	These lines should be last to allow plugins to override values - touche pas!
## BEGIN PLUGINS
## END PLUGINS


######################################
##
## GRAZIANO issue-12-dnd-template
## Design Template
##
######################################
PREVIEW_ENABLE=true

path.sql.file.design.template=dnd-template-sql

######################################
##
##	Alberto - Publisher queue job
######################################
ENABLE_PUBLISHER_QUEUE_THREAD=true
PUBLISHER_QUEUE_MAX_TRIES=3

##	every minute
PUBLISHER_QUEUE_THREAD_CRON_EXPRESSION=0 0/1 * * * ?

#Allow publish tool to export/import structures (false/true)
PUSH_PUBLISHING_PUSH_STRUCTURES=true
#Allow publish tool to export/import all pages in an exported folder
#not only pages linked in the multitree table
PUSH_PUBLISHING_PUSH_ALL_FOLDER_PAGES=false

#ID of the user whom workflow action next assign will be set to IF the received user role does NOT exist on this side
PUSH_PUBLISHING_WORKFLOW_ACTION_NEXT_ASSIGN_DEFAULT_USER=dotcms.org.1

# If true, the Rules coming from pushing a Site (Host) or a Content Page will overwrite the existing Rules in the destination
# end point (i.e., deleting the existing Rules and adding the ones in the pushed bundle). Otherwise, existing Rules will be
# left as they are (or updated if required), and new rules will be added
PUSH_PUBLISHING_RULES_OVERWRITE=true

## BEGIN
## https://github.com/dotCMS/dotCMS/issues/2671
## insert page limit for search result
PUSH_PUBLISHING_PAGE_LIMIT=25
## END

##
## how to create a truststore/keystore:
## where myorg.crt is your secure certificate
##
## keytool -import -alias myorg -file myorg.crt -keystore trust.ks
##
## TrustStore (Includes the Remote Server SSL Key)
#TRUSTSTORE_PATH=/home/xxxx/xxxxx/trust.ks
#TRUSTSTORE_PWD=password

## Keystore (Only needed if two way SSL authentication is required.  This is sending server's client key)
#KEYSTORE_PATH=/home/xxxx/xxxxx/keystore.ks
#KEYSTORE_PWD=password

#########################################
## End publisher config
#########################################

# COOKIES

## In order to set the httpOnly flag of the JSESSIONID cookie, you need to add the attribute useHttpOnly="true"
## to the Context tag of the tomcat/conf/context.xml. If using different app servers/containers you can consult their documentation.
## For reference see https://www.owasp.org/index.php/HttpOnly
COOKIES_HTTP_ONLY=false
# values: never|always|https
COOKIES_SECURE_FLAG=never
COOKIES_SESSION_COOKIE_FLAGS_MODIFIABLE=true

########################################
## CMS MAINTENANCE - Assets Search and Replace
########################################

##Maximum Number of file assets to search at once
ASSETS_SEARCH_AND_REPLACE_MAX_NUMBER_OF_ASSET_TO_SEARCH=100

##Allowed File assets
ASSETS_SEARCH_AND_REPLACE_ALLOWED_FILE_TYPES=vtl,css,js,txt,html,htm,xml,php
## run link checker every 2 hours
linkchecker.enablejob=true
linkchecker.enable_email_notification=false
linkchecker.cronexp=0 0 0/2 * * ?

## Use hardlinks when copying files, versioning content and creating snapshots
CONTENT_VERSION_HARD_LINK=true

## Prevent the uploading and management of 0 length (possibly corrupt?) files
CONTENT_ALLOW_ZERO_LENGTH_FILES=true



## Default cache for pages
DEFAULT_PAGE_CACHE_SECONDS=15

## do permission check on menu items for every request
ENABLE_NAV_PERMISSION_CHECK=false

## substitute utf chars on text with html entities for content. e.g., � -> $aacute; � -> &ntilde; ...
## CURRENTLY this only affects the import tool and default tinymce config
CONTENT_ESCAPE_HTML_TEXT=true

##SALESFORCE INTEGRATION. THESE VARIABLES ARE REQUIRED

#SALESFORCE_LOGIN_FILTER_ON=true

## SALESFORCE URL FOR REQUESTING ACCESS TOKEN
#salesforce_token_request_url=https://test.salesforce.com/services/oauth2/token
#salesforce_redirect_uri_backend=https://localhost:8443/admin
#salesforce_redirect_uri_frontend=https://localhost:8443/dotCMS/login
#salesforce_environment=https://test.salesforce.com
#salesforce_search_user_url=https://cs7.salesforce.com/services/data/v26.0/sobjects/User/
## SALESFORCE VARIABLES - REQUIRED FOR USER-PASSWORD FLOW AUTH AND ACCESS TOKEN RETRIEVAL
#salesforce_grant_type=password
#salesforce_client_id_backend=213213213.12321312312_21dkhsdkjh
#salesforce_client_secret_backend=232132132112
#salesforce_client_id_frontend=321jgh321jhg3jh21g3jhg12j3g21jg3jh
#salesforce_client_secret_frontend=213123123
#salesforce_username=admin@dotcms.com
#salesforce_password=dotcmsrocks
#salesforce_api_security_token=skldjlskajdlkajsl
## EXPECTED RETURN FORMAT, COULD BE json, xml OR urlencoded
#salesforce_return_format=json
## URL TO SEARCH ON SALESFORCE (MUST INCLUDE API VERSION)
#salesforce_search_url=/services/data/v26.0/search

## OBJECT TO SEARCH ON SALESFORCE. MUST CONTAIN ONE OF THESE VALUES: CONTACT, USER, ACCOUNT
#salesforce_search_object=USER
## USER FIELDS TO SEARCH FOR ACCOUNT INFORMATION. PLEASE DO NOT CHANGE THIS VALUE
#salesforce_search_object_fields=FirstName,LastName,Email,ContactId
## ROLE FIELD TO MATCH FOR ROLES SYNC. THIS FIELD MUST EXIST ON THE PREVIOUS SEARCH OBJECT
#salesforce_search_object_role_field=AccessRights__c

## SAVE LOG MESSAGES ON DOTCMS-USERACTIVITY LOG
#save_log_info_useractivity_log=true
## SAVE LOG MESSAGES ON DOTCMS LOG
#save_log_info_dotcms_log=true

## ENABLE GETSQLRESULTS MACRO TO ACCESS DB WITH DEFAULT CONNECTION POOL
## THIS SHOULD BE SET 'FALSE' BY DEFAULT. FOR THIS, A CONNECTION POOL SHOULD BE ADDED
## IN YOUR ROOT.XML WITH LIMITED ACCESS TO DATABASE.
## ENABLING THIS TO TRUE WILL ALLOW ANY END USER TO RUN GETSQLRESULTS MACRO
## ENABLE_SCRIPTING VARIABLE SHOULD BE SET TO TRUE IN ORDER TO MAKE THIS MACRO TO WORK
ALLOW_VELOCITY_SQL_ACCESS_TO_DOTCMS_DB=false

########################################
## XMLSitemap properties
########################################
org.dotcms.XMLSitemap.ENABLE=false
org.dotcms.XMLSitemap.JOB_NAME=XML SiteMap Job
org.dotcms.XMLSitemap.JOB_GROUP=XML SiteMap Job
org.dotcms.XMLSitemap.JOB_DESCRIPTION=XML SiteMap Indexation Job
org.dotcms.XMLSitemap.CRON_EXPRESSION=1 1 1 * * ?
org.dotcms.XMLSitemap.USE_PERMALINKS=false
##org.dotcms.XMLSitemap.USE_STRUCTURE_URL_MAP=true is processed if and only if org.dotcms.XMLSitemap.USE_PERMALINKS=false
org.dotcms.XMLSitemap.USE_STRUCTURE_URL_MAP=false
org.dotcms.XMLSitemap.XML_SITEMAPS_FOLDER=/XMLSitemaps/
org.dotcms.XMLSitemap.SITEMAP_XML_FILENAME=XMLSitemap
org.dotcms.XMLSitemap.SITEMAP_XML_GZ_FILENAME=XMLSitemapGenerated

##use the below configuration to ignore certain structures from the XML Site Map configuration
org.dotcms.XMLSitemap.IGNORE_Structure_Ids=MergerCampaign
## use the below configuration to remove the occurance of specific words from generated URL, this would be required when we have custom url redirections.
##MarketingCampaign in this case is the structure Name
org.dotcms.XMLSitemap.MarketingCampaign.IGNORE_UrlText=/campaign

##Disable External Referer
DISABLE_EXTERNAL_REFERERS=false

CMS_INDEX_PAGE = index

## MySQL System Variables
## Newer versions of MySQL will only recognize "default_storage_engine" instead
## of the old "storage_engine" variable, which was deprecated as of version 5.5.3
## and became invalid as of version 5.7.5
mysql_storage_engine_varname=default_storage_engine

## GeoIP2 DB Path Override (absolute path) (defaults to :
GEOIP2_CITY_DATABASE_PATH_OVERRIDE=/tomcat8/webapps/ROOT/WEB-INF/geoip2/GeoLite2-City.mmdb

## Rules engine maximun execution time in ms this property allow to find any rules that
## are running slower than expected, so we can manage the performance of the dotCMS server.
SLOW_RULE_LOG_MIN=100
## Actionlets
api.system.ruleengine.actionlet.VisitorTagsActionlet.MAX_TAGS=20

## Translation actionlet service key
#GOOGLE_TRANSLATE_SERVICE_API_KEY=put-your-key-here

## Path to the toolbox.xml file
#TOOLBOX_MANAGER_PATH=<tomcat8>/webapps/ROOT/WEB-INF/toolbox.xml

## Path to felix folder
felix.base.dir=/tomcat8/webapps/ROOT/WEB-INF/felix

GDPR_CONSENT_DEFAULT_PROPERTY=true
WHITELISTED_HEADERS=User-Agent,Host,Accept-Language,Referer,
WHITELISTED_PARAMS=q,id,v,tag,persona,language_id,r,keyword,orderBy,gclid,ad
WHITELISTED_COOKIES=_ga,__atuvc,_gid,opvc,sitevisitscookie,__utmz,hubspotutk,gwcc,__hstc,__utma,__utmc

DATASOURCE_PROVIDER_STRATEGY_CLASS=com.dotcms.util.TestDataSourceProvider


api.cors.default.Access-Control-Allow-Origin=*
api.cors.default.Access-Control-Allow-Methods=GET, PUT, POST, DELETE, HEAD, OPTIONS, PATCH
api.cors.default.Access-Control-Allow-Credentials=true
api.cors.default.Access-Control-Allow-Headers=*
api.cors.default.Access-Control-Expose-Headers=*

api.cors.graphql.Access-Control-Expose-Headers=Content-Type,Cache-Control

APPS_IMPORT_EXPORT_DEFAULT_PASSWORD=WJM9wwu5YjBLAgjUmXgfxhLLCMSJpLyM

